package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小程序查询历史记录对象 miniprogram_query_log
 * 
 * @author boman
 * @date 2022-02-21
 */
public class MiniprogramQueryLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 查询日志ID */
    private Long logId;

    /** 报告编号 */
    @Excel(name = "报告编号")
    private String reportNumber;

    /** 查询人手机号 */
    @Excel(name = "查询人手机号")
    private String queryPhone;

    /** 查询方式(1 二维码 2 粗略 ) */
    @Excel(name = "查询方式(1 二维码 2 粗略 )")
    private String queryMode;

    /** 是否删除（N正常 Y删除） */
    @Excel(name = "是否删除", readConverterExp = "N=正常,Y=删除")
    private String isDel;

    public void setLogId(Long logId) 
    {
        this.logId = logId;
    }

    public Long getLogId() 
    {
        return logId;
    }
    public void setReportNumber(String reportNumber) 
    {
        this.reportNumber = reportNumber;
    }

    public String getReportNumber() 
    {
        return reportNumber;
    }
    public void setQueryPhone(String queryPhone) 
    {
        this.queryPhone = queryPhone;
    }

    public String getQueryPhone() 
    {
        return queryPhone;
    }
    public void setQueryMode(String queryMode) 
    {
        this.queryMode = queryMode;
    }

    public String getQueryMode() 
    {
        return queryMode;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("logId", getLogId())
            .append("reportNumber", getReportNumber())
            .append("queryPhone", getQueryPhone())
            .append("queryMode", getQueryMode())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
